Open Babel: OBRingData Class Reference

Public Member Functions | Protected Attributes

# OBRingData Class Reference

Used to store the SSSR set (filled in by OBMol::GetSSSR()) More...

`#include <openbabel/generic.h>`

Inheritance diagram for OBRingData:

List of all members.

## Public Member Functions
| OBRingData ()
| OBRingData (const OBRingData &)
virtual OBGenericData * | Clone (OBBase *) const
| ~OBRingData ()
OBRingData & | operator= (const OBRingData &)
void | SetData (std::vector< OBRing * > &vr)
void | PushBack (OBRing *r)
std::vector< OBRing * > & | GetData ()
std::vector< OBRing * >::iterator | BeginRings ()
std::vector< OBRing * >::iterator | EndRings ()
OBRing * | BeginRing (std::vector< OBRing * >::iterator &i)
OBRing * | NextRing (std::vector< OBRing * >::iterator &i)
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const
## Protected Attributes
std::vector< OBRing * > | _vr
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Used to store the SSSR set (filled in by OBMol::GetSSSR())

## Constructor & Destructor Documentation

OBRingData | ( | ) |

OBRingData | ( | const OBRingData & | src ) |

OBRingData copy constructor.

Parameters:

  src | reference to original OBRingData object (rhs)

~OBRingData | ( | ) |

## Member Function Documentation

virtual OBGenericData* Clone | ( | OBBase * | ) | const`[inline, virtual]`

Reimplemented from OBGenericData.

OBRingData & operator= | ( | const OBRingData & | src ) |

OBRingData assignment operator.

Parameters:

  src | reference to original OBRingData object (rhs)

Returns:
  reference to changed OBRingData object (lhs)

void SetData | ( | std::vector< OBRing * > & | vr ) | `[inline]`

Referenced by OBMol::FindLSSR(), and OBMol::FindSSSR().

void PushBack | ( | OBRing * | r ) | `[inline]`

std::vector<OBRing*>& GetData | ( | ) | `[inline]`

Referenced by OBMol::GetLSSR(), and OBMol::GetSSSR().

std::vector<OBRing*>::iterator BeginRings | ( | ) | `[inline]`

std::vector<OBRing*>::iterator EndRings | ( | ) | `[inline]`

OBRing * BeginRing | ( | std::vector< OBRing * >::iterator & | i ) |

Referenced by OBMolRingIter::OBMolRingIter().

OBRing * NextRing | ( | std::vector< OBRing * >::iterator & | i ) |

Referenced by OBMolRingIter::operator++().

void SetAttribute | ( | const std::string & | v ) | `[inline, inherited]`

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

void SetOrigin | ( | const DataOrigin | s ) | `[inline, inherited]`

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OpenBabel::CalcSignedVolume(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

virtual const std::string& GetAttribute | ( | ) | const`[inline, virtual, inherited]`

Returns:
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

unsigned int GetDataType | ( | ) | const`[inline, inherited]`

Returns:
  the data type for this object as defined in OBGenericDataType

virtual const std::string& GetValue | ( | ) | const`[inline, virtual, inherited]`

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBCommentData, and OBPairData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

virtual DataOrigin GetOrigin | ( | ) | const`[inline, virtual, inherited]`

## Member Data Documentation

std::vector<OBRing*> _vr`[protected]`

Referenced by OBRingData::BeginRing(), OBRingData::NextRing(), OBRingData::OBRingData(), OBRingData::operator=(), and OBRingData::~OBRingData().

std::string _attr`[protected, inherited]`

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

unsigned int _type`[protected, inherited]`

attribute type -- declared for each subclass

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

DataOrigin _source`[protected, inherited]`

source of data for accounting

Referenced by OBChiralData::operator=(), OBTorsionData::operator=(), OBAngleData::operator=(), OBConformerData::operator=(), and OBSymmetryData::operator=().

The documentation for this class was generated from the following files:

- generic.h
- generic.cpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines